from recipe import Ingredient as I
from recipe import Step as S

onions = S("chopped", I(2, "onions")).named("Onions")
cheese = S("grated", I("500g", "cheese")).named("Cheese")

sauce = S(
    "stir in",
    S("boil 10 min", I("1tsp", "spices"), onions.take(0.5)),
    cheese.take("250g"),
)

filling = S(
    "combine",
    S("fry", S("saute", I("1tsp", "oil"), onions.take(1.5)), I("1kg", "chicken")),
    sauce.fraction(2, 3),
)

output = S(
    "bake 10min",
    S(
        "top",
        S("wrap", filling, I(8, "wraps")),
        sauce.fraction(1, 3),
        cheese.take("250g"),
    ),
)
